{% extends 'base.html.twig' %}

{% block title %}Exercise{% endblock %}

{% block body %}
    {% set score = 0 %}
    <h1 class="my-5 text-center">{{ exercise.name }}</h1>
    <div class="row">
        <div class="col-md-8 offset-md-2 col-sm-12">
                <table class="table table-striped" style="margin-bottom: 50px;">
                    <thead class="thead-dark">
                        <tr>
                            <th>Title</th>
                            <th>Question</th>
                            <th>Your answer</th>
                            <th>Correct answer</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for answer in answers %}
                            {% if answer.type != "code" %}
                                {% if answer.correct == true %}
                                    {% set score = score + 1 %}
                                    <tr style="background-color: rgba(0,210,0,0.3);">
                                {% else %}
                                    <tr style="background-color: rgba(210,0,0,0.3);">
                                {% endif %}
                                <td>{{ answer.name }}</td>
                                <td>{{ answer.description }}</td>
                                <td>{{ answer.correctAnswer }}</td>
                                <td>{{ answer.studentAnswer }}</td>
                                </tr>
                            {% else %}
                                {% if answer.correct == true %}
                                    {% set score = score + 1 %}
                                    <tr style="background-color: rgba(0,210,0,0.3);">
                                {% else %}
                                    <tr style="background-color: rgba(210,0,0,0.3);">
                                {% endif %}
                                <td>{{ answer.name }}</td>
                                <td>{{ answer.description }}</td>
                                <td colspan="2"><button class="view-tests-btn"; data-toggle="modal" data-target="#modal1">View tests</button></td>
                                </tr>
                                <div class="modal fade" id="modal1" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                    <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
                                        <div class="modal-content">
                                            <div class="modal-header modal-results-dark">
                                                <h5 class="modal-title" id="exampleModalLabel">Tests results</h5>
                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                    <span aria-hidden="true">&times;</span>
                                                </button>
                                            </div>
                                            <div class="modal-body modal-results-light">
                                                <label>Your function :</label>
                                                <div>
                                                <pre style="padding: 20px;"><code style="text-align: left; padding: 20px;" class="language-javascript">{{ answer.functionString }}</code></pre>
                                                </div>
                                                <label>Tests results :</label><br><br>
                                                <div class="test-results">
                                                  <div class="row test-results-head">
                                                      <span class="col-4">
                                                          Test input
                                                      </span>
                                                      <span class="col-4">
                                                          Expected output
                                                      </span>
                                                      <span class="col-4">
                                                          Your output
                                                      </span>
                                                  </div>
                                                    {% for line in lines %}
                                                        {% if line.correct == line.student %}
                                                            <div class="row test-results-line" style="background-color: rgba(0,210,0,0.3);">

                                                        {% else %}
                                                            <div class="row test-results-line" style="background-color: rgba(210,0,0,0.3);">
                                                         {% endif %}

                                                      <span class="col-4">
                                                          {{ line.test }}
                                                      </span>
                                                      <span class="col-4">
                                                          {{ line.correct }}
                                                      </span>
                                                      <span class="col-4">
                                                          {{ line.student }}
                                                      </span>
                                                  </div>
                                                    {% endfor %}
                                              </div>
                                            </div>
                                            <div class="modal-footer modal-results-dark">
                                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            {% endif %}
                        {% endfor %}

                    </tbody>
                </table>
            <p style="font-size: 1.2em;">
                Final score : <span style="font-weight: bold">{{ (score * 100 / answers|length)|number_format(2) }}%</span>
            </p>
        </div>
    </div>
    <div class="col-md-12 my-5 pt-2 pb-5">
        {% include('comment/index.html.twig') %}
    </div>
    

{% endblock %}
  {% block javascripts %}
      {{ encore_entry_script_tags('app')}}
  {% endblock %}